org.apache.felix.ipojo.manipulator.store.mapper

## Class WABResourceMapper

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.store.mapper.WABResourceMapper

All Implemented Interfaces:
  ResourceMapper

    public class WABResourceMapper
    extends Object
    implements ResourceMapper

A `WABResourceMapper` knows how to map resource names for a Web Application Bundle (WAB).

Author:
  Felix Project Team

### Field Summary

Fields
`static String` `WEB_INF_CLASSES`

### Constructor Summary

Constructors
Constructor and Description
`WABResourceMapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `externalize(String name)` Provides a normalized resource name from the store's internal format.
`String` `internalize(String name)` Adapts the normalized resource name into internal format.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WEB_INF_CLASSES

    public static final String WEB_INF_CLASSES

See Also:
  Constant Field Values

### Constructor Detail

#### WABResourceMapper

    public WABResourceMapper()

### Method Detail

#### internalize

    public String internalize(String name)

Description copied from interface: `ResourceMapper`
Adapts the normalized resource name into internal format.

Specified by:
  `internalize` in interface `ResourceMapper`
Parameters:
  `name` - original class names (as a resource)
Returns:
  the transformed resource's name

#### externalize

    public String externalize(String name)

Description copied from interface: `ResourceMapper`
Provides a normalized resource name from the store's internal format.

Specified by:
  `externalize` in interface `ResourceMapper`
Parameters:
  `name` - resource name in internal format
Returns:
  normalized resource name